package io.renren.dao;


import io.renren.entity.ConsumeTenant;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 商户信息Mapper接口
 *
 * @author nichun
 * @date 2023-09-15
 */
@Mapper
public interface ConsumeTenantMapper
{
    /**
     * 查询商户信息
     *
     * @param id 商户信息主键
     * @return 商户信息
     */
    public ConsumeTenant selectConsumeTenantById(Long id);

    /**
     * 查询商户信息列表
     *
     * @param consumeTenant 商户信息
     * @return 商户信息集合
     */
    public List<ConsumeTenant> selectConsumeTenantList(ConsumeTenant consumeTenant);

    /**
     * 新增商户信息
     *
     * @param consumeTenant 商户信息
     * @return 结果
     */
    public int insertConsumeTenant(ConsumeTenant consumeTenant);

    /**
     * 修改商户信息
     *
     * @param consumeTenant 商户信息
     * @return 结果
     */
    public int updateConsumeTenant(ConsumeTenant consumeTenant);

    /**
     * 删除商户信息
     *
     * @param id 商户信息主键
     * @return 结果
     */
    public int deleteConsumeTenantById(Long id);

    /**
     * 批量删除商户信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteConsumeTenantByIds(Long[] ids);
}
